function getKey(username, password) {
      var device_id = device.uuid;
      $.ajax({
        type: 'get',
        data: {username: username, password: password, device: device_id},
        url: apUrl.aAuth.url,
        dataType: 'html',
        cache: false,
        success: function(data) {
          data = $.parseJSON(data)
          if(data.result) {
            $('#loading').remove();
            loggedin = true;
            answer = data.result;
            app_key = answer.key;
            $('#ap_login').remove();
            fillbody.list();
          } else {
            $('#ap_login').remove();
            fillbody.login();
            $('#login_driver_error').html("<div class='alert alert-danger'>" + data.error + "</div>")
          };

        },
        error: function(xhr, status, err) {
          $('#loading').remove();
        },
        beforeSend: function(jqXHR, settings) {
          $('#loading').remove();
          fillbody.loading();
        }
      });
}

function deleteKey(key) {
      $.ajax({
        type: 'get',
        data: {key: key},
        url: apUrl.aOut.url,
        dataType: 'html',
        cache: false,
        success: function(data) {
          app_key='';
          $('#loading').remove();
          loggedin = false;
        },
        error: function(xhr, status, err) {
          $('#loading').remove();
        },
        beforeSend: function() {
          $('#loading').remove();
          fillbody.loading();
        }
      });
}

function register(username, plate_no, vin, email) {
    var device_id = device.uuid;
    $.ajax({
        type: 'get',
        data: {username: username, plate_no: plate_no, vin: vin, device: device_id, email: email},
        url: apUrl.dReg.url,
        dataType: 'html',
        cache: false,
        success: function(data) {
          $('#loading').remove();
          answer = jQuery.parseJSON(data);
          if(answer.result) {
            files.saveData(username, answer.result.password);
            app_key = answer.result.key;
            fillbody.list(answer.result.password);
          } else {
            $('#new_driver_error').html("<div class='alert alert-danger'>" + answer.error + "</div>")
          }

        },
        error: function(xhr, status, err) {
          $('#loading').remove();
        },
        beforeSend: function() {
          $('#loading').remove();
          fillbody.loading();
        }
      });
};
