var ap_locale = 'ru';
set_locale();

var locale = {
  current: function(element) {
    for (var key in locale){
      if(key == element)  {
        if(ap_locale=='ru') {
          return locale[key].ru
        } else {
          return locale[key].en
        }
      };
    }
  },
  loading: {en: 'Loading', ru: 'Загрузка'},
  email: {en: 'Email', ru: 'Email'},
  updateMileage: {en: 'Update mileage', ru: 'Новый пробег'},
  newRequest: {en: 'New request', ru: 'Новый запрос'},
  success: {en: 'Success', ru: 'Выполнено'},
  username: {en: 'Username', ru: 'Имя пользователя'},
  password: {en: 'password', ru: 'пароль'},
  remember: {en: 'Remember', ru: 'Запомнить'},
  regInfo: {en: 'To register in AP-Driver, you need to enter a username, Plate No and last 6 symbols of VIN of any vehicle of your Auto Partners fleet', ru: 'Для регистрации в приложении AP-Driver, введите имя пользователя, а также гос. номер и последние 6 символов VIN любого автомобиля из вашего автопарка Auto Partners'},
  terms: {en: 'Aware of Regulations on the Personal Data Security, give my consent to personal data processing.', ru: 'C Положением о защите Персональных Данных ознакомлен(а), даю свое согласие на обработку моих персональных данных.'},
  trial: {en: 'Trial version', ru: 'Пробная версия'},
  trialInfo: {en: 'If you are not our client, you can try our application to see all advantages!', ru: 'Даже не являясь клиентом Auto Partners, вы можете ознакомиться со всеми возможностями приложения!'},
  newPass: {en: 'Yore are successfully registered! Your new password is:', ru: 'Вы успешно зарегистрировались! Для входа в приложение используйте следующий пароль:'},
  explanation: {en: 'This is your first vehicle. Select it to see details. Click \'+\' button to add more vehicles.', ru: 'Это ваш первый автомобиль. Нажмите на него, чтобы открыть детальную информацию. Нажмите \'+\', чтобы добавить еще автомобили.'},
  submit: {en: 'Submit', ru: 'Войти'},
  driver: {en: 'Driver', ru: 'Водитель'},
  contract: {en: 'Contract', ru: 'Контракт'},
  service: {en: 'Service', ru: 'Сервис'},
  vehicle: {en: 'Vehicle', ru: 'Машина'},
  vin: {en: 'VIN', ru: 'VIN'},
  plateNo: {en: 'Plate No', ru: 'Гос. номер'},
  help: {en: 'Help', ru: 'Помощь'},
  returnGuide: {en: 'Return guide', ru: 'Руководство по возврату'},
  contacts: {en: 'Contacts', ru: 'Контракты'},
  RAT: {en: 'RAT', ru: 'РАТ'},
  logOut: {en: 'Log out', ru: 'Выйти'},
  logIn: {en: 'Log in', ru: 'Войти'},
  register: {en: 'Register', ru: 'Регистрация'},
  noInternetConnection: {en: 'No internet connection', ru: 'Нет интернет соединения'},
  home: {en: 'Home', ru: 'Главная'},
  penalties: {en: 'Penalties', ru: 'Штрафы'},
  calling: {en: 'call', ru: 'Звонок'},
  info: {en: 'Info', ru: 'Инфо'},
  driverAuthorization: {en: 'Driver Authorization', ru: 'Авторизация'},
  driverLogout: {en: 'Driver logout', ru: 'Выход'},
  vehicleList: {en: 'Vehicle List', ru: 'Список А/М'},
  removeVehicle: {en: 'Remove Vehicle', ru: 'Удалить А/М'},
  newServiceRequest: {en: 'New Service Request', ru: 'Новая заявка на Сервис'},
  driverEdit: {en: 'Driver edit', ru: 'Изменение Инф о Водителе'},
  contentTitle: {en: 'Content title', ru: 'Заголовок'},
  contentService: {en: 'Content service', ru: 'Заявки'},
  contentHome: {en: 'Content home', ru: 'Главное'},
  contentPenalties: {en: 'Content penalties', ru: 'Штрафы'},
  contentInfo: {en: 'Content info', ru: 'Информация'},
  serviceRequest: {en: 'Service Request #', ru: 'Заявка на Сервис #'},
  exit: {en: 'Exit', ru: ' Выход'},
  tryAgain: {en: 'Try Again', ru: 'Повторите'},
  newVehicle: {en: 'Add New Vehicle', ru: 'Добавить Новый Автомобиль'},
  link: {en: 'link', ru: 'ссылка'},
  termAgree: {en: 'To register in AP-Driver, you need to agree with the Personal Data Security', ru: 'Для регистрации необходимо дать согласие на обработку персональных данных'}
}
