function apModal(bodySource, afterLoad) {
  var apModal = $('#apModal');
  curState = State.getState();
  apModal.on('show.bs.modal', function (event) {
    State.setState('modal');
    var button = $(event.relatedTarget);
    var modal = $(this);
    var body = modal.find('.modal-body');
    var title = modal.find('.modal-title');
    var url = '';
    if (button.data("requestid")) {
      url=bodySource.url+'/'+button.data("requestid");
      title.text(bodySource.title+button.data("requestid"));
    } else {
      url = bodySource.url;
      title.text(bodySource.title);
    };
    $('.ap-btn').css('display', 'none');
    $.ajax({
        type: 'get',
        data: {key: app_key, vehicle: vehId},
        url: url,
        dataType: 'html',
        cache: false,
        success: function(data) {
          body.html(data);
          afterLoad();
        },
        error: function() {
          body.html('Whoops, try again');
        },
        beforeSend: function(xhr, settings) {
          body.html('Loading');
        }
      });
    });
  
  apModal.on('hide.bs.modal', function (event) {
    State.setState(curState);
    var modal = $(this);
    var body = apModal.find('.modal-body');
    var title = apModal.find('.modal-title');
    body.html('');
    title.html('');
    apModal.unbind();
    $('.ap-btn').css('display', 'block');
  });
};
