// variables
// functions
// actions

var fillbody = {
  log_screen: '',
  loading_screen: '',
  success_screen: '',
  default_screen: '',
  initialize: function() {
    var ap_en = '';
    var ap_ru = '';
    if(ap_locale == 'ru') {
      ap_en = 'disabled';
      ap_ru = 'btn-success';
    } else {
      ap_en = 'btn-success';
      ap_ru = 'disabled';
    };
    this.log_screen = '<div id="ap_login" class="row">\
  <div class="navbar-brand col-xs-12"></div>\
  <div class="login-row col-xs-12">\
    <div class="btn-toolbar pull-right"><button id="ap_en" class="btn btn-sm '+ ap_en +'">en</button><button id="ap_ru" class="btn btn-sm '+ ap_ru +'">ru</button></div><h3>' + locale.current('logIn') + '</h3><div id="login_driver_error"></div>\
    <div class="form-group">\
      <label for="username">' + locale.current('username') + '</label>\
      <input type="text" class="form-control" id="username" placeholder="' + locale.current('username') + '">\
    </div>\
    <div class="form-group">\
      <label for="password">' + locale.current('password') + '</label>\
      <input type="password" class="form-control" id="password" placeholder="' + locale.current('password') + '">\
    </div>\
    <div class="checkbox">\
      <label>\
        <input type="checkbox" id="save">' + locale.current('remember') + '\
      </label>\
    </div>\
    <div class="btn btn-info" id="login_button">' + locale.current('submit') + '</div>\
  </div>\
  <div class="login-row col-xs-12">\
    <h3>' + locale.current('register') + '</h3>\
    <h6>' + locale.current('regInfo') + '</h6><div id="new_driver_error"></div>\
    <div class="form-group">\
      <label for="registerUsername">' + locale.current('username') + '</label>\
      <input type="text" class="form-control" id="registerUsername" placeholder="' + locale.current('username') + '">\
    </div>\
    <div class="form-group">\
      <label for="plateNo">' + locale.current('plateNo') + '</label>\
      <input type="text" class="form-control" id="plateNo" placeholder="' + locale.current('plateNo') + '">\
    </div>\
    <div class="form-group">\
      <label for="vin">' + locale.current('vin') + '</label>\
      <input type="text" class="form-control" id="vin" placeholder="' + locale.current('vin') + '">\
    </div>\
    <div class="form-group">\
      <label for="email">' + locale.current('email') + '</label>\
      <input type="text" class="form-control" id="email" placeholder="' + locale.current('email') + '">\
    </div>\
    <div class="checkbox">\
      <label><input type="checkbox" id="termAgree">\
      <a href="http://www.ap-ru.com/polojenie.pdf">' + locale.current('terms') + '</a>\
      </label>\
    </div>\
    <div class="btn btn-info" id="register_button">' + locale.current('register') + '</div>\
  </div>\
  <div class="login-row col-xs-12">\
    <h3>' + locale.current('trial') + '</h3>\
    <h5>' + locale.current('trialInfo') + '</h5>\
    <div class="btn btn-info" id="trial_button">' + locale.current('submit') + '</div>\
  </div>\
</div>',
      this.loading_screen = "<div id=\"loading\" class=\"container\">\
  <div>\
    <div class=\"navbar-brand\"></div>\
      <div class=\"progress\">\
        <div class=\"progress-bar progress-bar-striped active\" role=\"progressbar\" aria-valuenow=\"45\" aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width: 100%\">\
          <span>" + locale.current('loading') + "</span>\
        </div>\
      </div>\
    </div>\
  </div>";
    this.success_screen = "<div class=\"alert alert-success success-screen\">" + locale.current('success') + "</div>";
    this.default_screen = '<div class="modal" id="apModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">\
        <div class="modal-dialog" role="document">\
          <div class="modal-content">\
            <div class="modal-header">\
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">\
                <span aria-hidden="true">&times;</span></button>\
              <h4 class="modal-title"></h4>\
            </div>\
            <div class="modal-body">\
            </div>\
          </div>\
        </div>\
      </div>\
      <div class="" id="toppanel-buttons">\
        <div class="col-xs-4" type="button" data-toggle="modal" data-target="#apModal" id="mileageButton">\
          <div style="margin: auto; text-align: center;">\
            <span style="font-size: 20px;" class="glyphicon glyphicon-road" aria-hidden="true"></span><br>\
            ' + locale.current('updateMileage') + '\
          </div>\
        </div>\
        <div class="col-xs-4" type="button" data-toggle="modal" data-target="#apModal" id="requestButton">\
          <div style="margin: auto; text-align: center;">\
            <span style="font-size: 20px;" class="glyphicon glyphicon-pencil" aria-hidden="true"></span><br>\
            ' + locale.current('newRequest') + '\
          </div>\
        </div>\
        <div class="col-xs-4" id="callButton">\
        <a href="tel:' + $('#servicePhone').data('servicephone') + '">\
          <div style="margin: auto; text-align: center;">\
            <span style="font-size: 20px;" class="glyphicon glyphicon-earphone" aria-hidden="true"></span><br>\
            ' + locale.current('calling') + '\
          </div></a>\
        </div>\
      </div>\
        <div id="ap_menu" class="">\
          <div class="menu-item col-xs-3" data-page=0>\
            ' + locale.current('service') + '\</div>\
          <div class="menu-item menu-item-selected col-xs-3 " data-page=1>\
            ' + locale.current('home') + '\</div>\
          <div class="menu-item col-xs-3" data-page=2>\
            ' + locale.current('penalties') + '\</div>\
          <div class="menu-item col-xs-3" data-page=3>\
            ' + locale.current('info') + '\</div>\
          <div class="menu-selector col-xs-offset-3 col-xs-3"></div>\
        </div>\
        <div id="ap_title"><input class="datepicker" /></div>\
        <div id="ap_content" class="row">\
          <div class="first dragend-page" id="p1"></div>\
          <div class="dragend-page" id="p2"></div>\
          <div class="dragend-page" id="p3"></div>\
          <div class="last dragend-page" id="p4"></div>\
        </div>  '
  },
  def: function() {
    this.initialize();
    $('#ap_body').html(this.default_screen);
  },
  clear: function() {
    $('#ap_title').html('');
    $('#p1').html('');
    $('#p2').html('');
    $('#p3').html('');
    $('#p4').html('');
    menuMove(1, true);
  },
  try_again: function(url) {
    if($('#retry').length == 0) {
      $('#ap_body').html('<div class="container" id="retry"><br><br><br><br><br>' + locale.current('noInternetConnection') + '<br><div class="btn btn-default" id="tryagain">' + locale.current('tryAgain') + '</div><div class="btn btn-default" id="apExit">' + locale.current('exit') + '</div></div>');
      $('#apExit').click(function() {
        navigator.app.exitApp();
      });
      $('#tryagain').click(function() {
        if(url.indexOf("authorize") >= 0) {
          files.login();
        } else {
          $('#retry').remove();
          fillbody.list();
        };
      });
    };
  },
  success: function() {
    $('#ap_menu').append(this.success_screen);
  },
  login: function() {
    this.clear();
    State.setState('login');
    $('#loading').remove();
    $('#ap_en').unbind();
    $('#ap_ru').unbind();
    $('#login_button').unbind();
    $('#register_button').unbind();
    $('#trial_button').unbind();
    $('#ap_body').html('');
    $('#ap_body').append(this.log_screen);

    $('#ap_ru').click(function(){
      if(ap_locale == 'en') {
        ap_locale = 'ru';
        fillbody.initialize();
        apUrl.initialize();
        fillbody.login();
      };
    });

    $('#ap_en').click(function(){
      if(ap_locale == 'ru') {
        ap_locale = 'en';
        fillbody.initialize();
        apUrl.initialize();
        fillbody.login();
      };
    });
    $('#register_button').click(function(e) {
      if($('#termAgree').prop("checked")) {
        register($('#registerUsername').val(), $('#plateNo').val(), $('#vin').val(), $('#email').val());
      } else {
        $('#new_driver_error').html("<div class='alert alert-danger'>" + locale.current('termAgree') + "</div>")
      }
    });
    $('#trial_button').click(function(e) {
      getKey('user1', 'e10adc3949ba59abbe56e057f20f883e');
    });
    $('#login_button').click(function(e) {
      if($('#save').prop("checked")) {
        files.saveData($('#username').val(), $('#password').val());
      };
      getKey($('#username').val(), $('#password').val());
    });
  },
  logout: function() {
    deleteKey(app_key);
    State.setState('home');
    this.login();
  },
  loading: function() {
    $('#ap_body').append(this.loading_screen);
  },

  list: function(pass) {
    var pass = pass || 'empty';
    State.setState( 'home' );
    $.ajax({
      type: 'get',
      data: {key: app_key},
      url: apUrl.vList.url,
      dataType: 'html',
      cache: false,
      success: function(data) {
        fillbody.def();
        $('#loading').remove();
        $('#ap_title').html(data);
        if(pass != 'empty'){
          $('#vehicle_list').append('<div class="row"><div class="alert alert-success" role="alert">'+locale.current('newPass')+'<p><b>'+pass+'</b></p><p>'+locale.current('explanation')+'</p></div></div>');
        };
        fillbody.listActions();
      },
      error: function() {
        $('#loading').remove();
      },
      beforeSend: function() {
        fillbody.loading();
      }
    });
  },

  home: function() {
    this.def();
    this.title();
    State.setState('vehicle');
    $("#ap_content").dragend({
      jumpToPage: 2,
      disableScroll: false,
      minDragDistance: 40,
      onSwipeStart: function() {
        menuMove(this.nextPage);
      },
      direction: "horizontal"});
    $('.menu-item').click(function() {
      var page = $(event.target).data("page");
      menuMove(page, true);
    });
    this.homeService();
    this.homeHome();
    this.homePenalties();
    this.homeInfo();
  },
  listActions: function() {
    $('#requestButton').unbind();
    $('#mileageButton').unbind();
    $('#ap_logout').unbind();
    $('#editDriver').unbind();
    $('#ap_en').unbind();
    $('#ap_ru').unbind();

    vehId ='empty'; // I don`t know, why with empty vehid modal does not work
    $('#new_vehicle').click(function() {
      apModal(apUrl.vNew, function() {
        var formParams = {
          data: {key: app_key},
          success: function(data) {
            if(data.result){
              $('#loading').remove();
              $( 'form' ).each(function(){
                this.reset();
              });
              $('.modal').modal('hide');
              $('#new_vehicle').unbind();
              fillbody.list();
            } else {
              $('#loading').remove();
              $('#new_vehicle_error').html("<div class='alert alert-danger'>" + data.error + "</div>")
            }
          },
          error: function() {
            $('#loading').remove();
          },
          beforeSend: function() {
            fillbody.loading();
          }
        };
        $('#form_vehicle_add').ajaxForm(formParams);
      });
    });

    $('#ap_logout').click(function() {
      fillbody.logout();
      $('#ap_logout').unbind();
    });

    $('#vehicle_list').find('.col-xs-10').click(function() {
      vehId = $(this).parent().data("vehicle");
      apUrl.initialize(vehId);
      $('#vehicle_list').remove();
      fillbody.home();
    });
    $('#vehicle_list').find('.col-xs-2').click(function() {
      var vehIdLocal = $(this).parent().data("vehicle");
      $.ajax({
        type: 'delete',
        data: {key: app_key, vehicle: vehIdLocal},
        url: apUrl.vDel.url,
        dataType: 'html',
        cache: false,
        success: function(data) {
          $('#loading').remove();
          fillbody.list();
        },
        error: function() {
          $('#loading').remove();
        },
        beforeSend: function() {
          fillbody.loading();
        }
      });
    });
  },
  titleActions: function() {
    var formParams = {
      data: {vehicle: vehId},
      dataType: 'json',
      success: function(data) {
        $('#apModal').modal('hide');
        $('#loading').remove();
        fillbody.success();
        $('.success-screen').fadeTo( 4000, 0 );
        fillbody.title();
        fillbody.homeService();
      },
      error: function(res) {
        $('#loading').remove();
      },
      beforeSend: function() {
        fillbody.loading();
      }
    };
    $('#mileageButton').click(function() {
      apModal(apUrl.vMile, function() {
        $('#form-modal').ajaxForm(formParams);
      });
    });

    $('#list-back').click(function() {
      fillbody.list();
    });

    $('#requestButton').click(function() {
      apModal(apUrl.rNew, function() {
        var requestKey = $('#request_key').val();
        var vin = $('#service_request_vin').val();
        var plate = $('#service_request_vehicle_plate_no').val();
        $.ajax({
          type: 'get',
          url: apUrl.rList.url,
          data: {service_request: { city: $('#service_request_driver_location').val(), vin: vin, vehicle_plate_no: plate, key: requestKey}},
          dataType: 'json',
          success: function(data) {
            companies = data.companies;
            var select = $("#service_request_dealer");
            fillList(select, companies);
          }
        });
        $('#service_request_driver_location').change(function(e) {
          $.ajax({
            type: 'get',
            url: apUrl.rList.url,
            data: {service_request: { city: e.target.value, vin: vin, vehicle_plate_no: plate, key: requestKey}},
            dataType: 'json',
            success: function(data) {
              companies = data.companies;
              var select = $("#service_request_dealer");
              fillList(select, companies);
            }
          });
        });

        $('#service_request_type').change(function(){
          $('.datepicker').val('');
          sDay = $(this).val() == 2 ? '+0d' : '+2d';
          var options = {
            dateFormat:  'yy-mm-dd',
            minDate: sDay,
            firstDay: 1,
            beforeShowDay: $.datepicker.noWeekends
          };
          $('.datepicker').datepicker(options);
        });
        $('#form-modal').ajaxForm(formParams);
      });
    });
  },
  infoActions: function() {
    $('#ap_logout').click(function(){
      fillbody.logout();
    });

    $('#ap_ru').click(function(){
      if(ap_locale == 'en') {
        ap_locale = 'ru';
        apUrl.initialize();
        fillbody.list();
      };
    });

    $('#ap_en').click(function(){
      if(ap_locale == 'ru') {
        ap_locale = 'en';
        apUrl.initialize();
        fillbody.list();
      };
    });

    $('#editDriver').click(function(){
      apModal(apUrl.dEdit, function() {
        var formParams = {
          data: {vehicle: vehId},
          dataType: 'json',
          success: function(data) {
            $('#loading').remove();
            $('.modal').modal('hide');
            fillbody.success();
            $('.success-screen').fadeTo( 4000, 0 );
            fillbody.homeInfo();
            menuMove(3, true);
          },
          error: function(res) {
            $('#loading').remove();
          },
          beforeSend: function() {
            fillbody.loading();
          }
        };
        $('#form_update_driver').ajaxForm(formParams);
      });
    });
  },
  serviceActions: function() {
    $("[id^='service-request-']").click(function() {
      apModal(apUrl.rShow);
    });
  },
  title: function() {
    $.ajax({
      type: 'get',
      data: {key: app_key, vehicle: vehId},
      url: apUrl.cTitle.url,
      dataType: 'html',
      cache: false,
      success: function(data) {
        $('#loading').remove();
        $('#ap_title').html(data);
        $("#ap_content").height($(document).height() - $('#ap_title').height()-82);
        $('#ap_menu').css({ top: ($('#ap_title').height()-5)+'px' });
        fillbody.titleActions();
      },
      error: function() {
        $('#loading').remove();
      },
      beforeSend: function() {
        fillbody.loading();
      }
    });
  },
  homeService: function() {
    $.ajax({
      type: 'get',
      data: {key: app_key, vehicle: vehId},
      url: apUrl.cSrvc.url,
      dataType: 'html',
      cache: false,
      success: function(data) {
        $('#loading').remove();
        $('#p1').html(data);
        fillbody.serviceActions();
      },
      error: function() {
        $('#loading').remove();
      },
      beforeSend: function() {
        fillbody.loading();
      }
    });
  },
  homeHome: function() {
    $.ajax({
      type: 'get',
      data: {key: app_key, vehicle: vehId},
      url: apUrl.cHome.url,
      dataType: 'html',
      cache: false,
      success: function(data) {
        $('#loading').remove();
        $('#p2').html(data);
        $('#callButton').find('a').attr("href", "tel:"+$('#servicePhone').data('servicephone'));
        $("#ap_content").dragend({
          jumpToPage: 2});
      },
      error: function() {
        $('#loading').remove();
      },
      beforeSend: function() {
        fillbody.loading();
      }
    });
  },
  homePenalties: function() {
    $.ajax({
      type: 'get',
      data: {key: app_key, vehicle: vehId},
      url: apUrl.cPen.url,
      dataType: 'html',
      cache: false,
      success: function(data) {
        $('#loading').remove();
        $('#p3').html(data);
      },
      error: function() {
        $('#loading').remove();
      },
      beforeSend: function() {
        fillbody.loading();
      }
    });
  },
  homeInfo: function() {
    $.ajax({
      type: 'get',
      data: {key: app_key, vehicle: vehId},
      url: apUrl.cInfo.url,
      dataType: 'html',
      cache: false,
      success: function(data) {
        $('#loading').remove();
        $('#p4').html(data);
        fillbody.infoActions();
      },
      error: function() {
        $('#loading').remove();
      },
      beforeSend: function() {
        fillbody.loading();
      }
    });
  },
};
