function exit() {
  switch(State.getState()) {
    case 'modal':
      $('.modal').modal('hide');
      break;
    case 'realexit':
      realexit();
      break;
    case 'login':
      State.setState('realexit');
      document.removeEventListener("backbutton", exit, false);
      document.addEventListener("backbutton", realexit, false);
      break;
    case 'home':
      State.setState('realexit');
      document.removeEventListener("backbutton", exit, false);
      document.addEventListener("backbutton", realexit, false);
      break;
    case 'vehicle':
      fillbody.list();
      break;
  };
};
function realexit() {
  if(State.getState() == 'realexit') {
    navigator.app.exitApp();
  } else {
    exit();
    document.removeEventListener("backbutton", realexit, false);
    document.addEventListener("backbutton", exit, false);
  };
};

var State = {
   home: false,
   modal: false,
   vehicle: false,
   realexit: false,
   login: false,
   getState: function() {
    for (var key in this){
      if(this[key] == true)  {
        return key;
      };
    }
   },
   setState: function(myProp) {
   this[myProp]=true;
    for (var key in this){
      if (jQuery.type(this[key]) === "boolean" && key != myProp) {
        this[key] = false;
      };
    };
   }
};

function menuMove(page, menu){
        $('.menu-item').removeClass('menu-item-selected');
        $('#ap_menu').children().eq(page).addClass('menu-item-selected');
        if (menu == true) {
          $("#ap_content").dragend({
            scrollToPage: page+1
          });
        }
      };

$( document ).ajaxError(function( event, request, settings ) {
  if(State.getState() != 'modal' && State.getState() != 'login') {
    fillbody.try_again(settings.url);
  };
});

function set_locale() {
  $.ajaxSetup({
    data: { locale: ap_locale, device_type: 'ios' }
  });
};
function fillList(elem, list) {
  var options = [];
  var star = document.createElement('option');
  star.innerHTML = '*';
  star.value = "-1";
  options.push(star)
  for (var prop in list) {
    var option = document.createElement('option');
    option.innerHTML = list[prop].name;
    option.value = list[prop].id;
    options.push(option)
  }
  elem.html(options);
}
