/*
All url names should be 1 symbol of model and 3-5 symbols of action
a: application
v: vehicle
r: service request
d: driver
c: content
*/
var apUrl = {
    aAuth: '',
    aOut: '',
    vList: '',
    vDel: '',
    rNew: '',
    dEdit: '',
    cTitle: '',
    cSrvc: '',
    cHome: '',
    cPen: '',
    cInfo: '',
    rShow: '',
    vMile: '',
    vNew: '',
    dReg: '',
    rList: '',
    server:  'https://cp.ap-ru.com', //'http://192.168.1.52:3000' 'https://cp.ap-ru.com'
  initialize: function(vehId) {
    var vehId = vehId || null;
    set_locale();
    this.aAuth = {url: this. server + '/driver_authorize', title: locale.current('driverAuthorization')};
    this.aOut = {url: this. server + '/driver_logout', title: locale.current('driverLogout')};
    this.vList = {url: this. server + '/driver_vehicles', title: locale.current('vehicleList')};
    this.vDel = {url: this. server + '/driver_vehicles', title: locale.current('removeVehicle')};
    this.rNew = {url: this. server + '/driver_vehicles/'+vehId+'/service_requests/new', title: locale.current('newServiceRequest')};
    this.dEdit = {url: this. server + '/driver_vehicles/'+vehId+'/edit_info', title: locale.current('driverEdit')};
    this.cTitle = {url: this. server + '/driver_vehicles/'+vehId+'/title', title: locale.current('contentTitle')};
    this.cSrvc = {url: this. server + '/driver_vehicles/'+vehId+'/service_requests', title: locale.current('contentService')};
    this.cHome = {url: this. server + '/driver_vehicles/'+vehId+'/home', title: locale.current('contentHome')};
    this.cPen = {url: this. server + '/driver_vehicles/'+vehId+'/driver_penalties', title: locale.current('contentPenalties')};
    this.cInfo = {url: this. server + '/driver_vehicles/'+vehId+'/info', title: locale.current('contentInfo')};
    this.rShow = {url: this. server + '/driver_vehicles/'+vehId+'/service_requests', title: locale.current('serviceRequest')};
    this.vMile = {url: this. server + '/driver_vehicles/'+vehId+'/edit_mileage', title: locale.current('updateMileage')};
    this.vNew = {url: this. server + '/driver_vehicles/new', title: locale.current('newVehicle')};
    this.dReg = {url: this. server + '/driver_register', title: locale.current('driverAuthorization')};
    this.rList = {url: this. server + '/list_of_service_companies', title: locale.current('driverAuthorization')};
  }
}
